import 'package:flutter/material.dart';
import 'package:initial_folder/screens/home/components/body_comp/latest_course.dart';
import 'package:initial_folder/screens/home/components/body_comp/populer_course.dart';
import 'package:initial_folder/size_config.dart';
import 'package:initial_folder/theme.dart';

class SearchNotFound extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      child: Column(
        children: [
          Center(
            child: Container(
              child: Image.asset(
                color: Theme.of(context).brightness == Brightness.dark
                    ? baruTextutih
                    : twelveColor,
                'assets/images/kursuskosong.png',
                width: getProportionateScreenHeight(100),
              ),
              padding: EdgeInsets.only(top: 40, bottom: 16),
            ),
          ),
          Text(
            'Kursus Belum Tersedia',
            style: secondaryTextStyle.copyWith(
              fontSize: 14,
              fontWeight: semiBold,
            ),
          ),
          SizedBox(
            height: 5,
          ),
          Text(
            'Kursus belum tersedia, silahkan cari kursus yang lain',
            style: primaryTextStyle.copyWith(fontSize: 12, fontWeight: reguler),
          ),
          SizedBox(
            height: 25,
          ),
          PopulerCourse(text: "Kursus Teratas"),
          LatestCourse(text: "Kursus Terbaru"),
        ],
      ),
    );
  }
}
